﻿/* home header */
.logo {
    display: var(--logo-display);
}

nav {
    
}
    nav ul {
        justify-content: var(--home-nav-ul-content);
    }
    nav a {
        color: var(--nav-home-a-color);
    }
        nav > a:hover {
            background: var(--nav-home-a-hover-background);
            color: var(--nav-home-a-hover-color);
        }
.top-bg {
    min-height: calc(35vw + 130px);
    margin-top: -135px;
    padding-top: 135px;
    background: var(--top-bg-background);
    width: 100%;
    background-size:cover;
}

/* home top */
.owl-home-top {
    width: 100%;
}
    .owl-home-top .item {
        position: relative;
        overflow: hidden;
        height: 0;
        padding-bottom: var(--home-top-height);
        margin-left: var(--home-top-left);
    }
        .owl-home-top .item img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
.home-video {
    width: 100%;
    height: 670px;
    overflow: hidden;
}
    .home-video .video-container {
        margin-top: -10%;
    }
.owl-home-top .owl-dots {
    width: 100%;
    position: absolute;
    justify-content: center;
    display: flex;
    bottom: 10px;
    right: 0%;
}
.owl-home-top .owl-dot {
    background-color: #fff;
    margin: 5px;
    width: 10px;
    height: 10px;
    border-radius: 5px;
}


.basic {
    padding: 25px 0;
}
.more {
    font-size: 1.2em;
    letter-spacing: 0.1em;
    align-items: center;
    display: inline-flex;
}
    .more a {
        color: var(--more-color);
    }
.Focus .more a {
    color: var(--more-Focus-color);
}
.more a:hover {
    cursor: pointer;
    color: #137cce;
}

/* HOT */
.hot-box {
    width: 100%;
    display: inline-flex;
    border-radius: 15px;
    background: var(--hot-box-background);
    background-size: 100% auto;
    margin-bottom: 40px;
}

.hot-title {
    color: var(--hot-title-color);
    font-weight: bold;
    font-size: 1.4em;
    letter-spacing: 0.1em;
    width: 135px;
    background: var(--hot-title-bgcolor);
    text-align: center;
    padding: 10px 0;
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
    position: relative;
}
    .hot-title:after {
        content: "";
        position: absolute;
        top: 13px;
        right: -16px;
        border: 10px solid;
        border-color: var(--hot-title-after);
    }
.hot-list {
    width: calc(100% - 135px);
}
    .hot-list .temple-news {
        width: 100%;
        height: 3em;
        overflow: hidden;
        text-overflow: ellipsis;
    }
        .hot-list .temple-news .item {
            width: 100%;
            font-size: 1.3em;
            line-height: 2.5em;
            height: 100%;
            padding: 0 1.25em;
            letter-spacing: 0.1em;
            display: -webkit-box;
            -webkit-line-clamp: 1;
            -webkit-box-orient: vertical;
            overflow: hidden;
            text-overflow: ellipsis;
            vertical-align: middle;
        }
.owl-major-banner {
    margin: 48px 0 0 30px;
    width: 300px;
}
    .owl-major-banner .owl-carousel .owl-item img {
        width: 300px;
    }
.temple-news a {
    color: var(--hot-item-color);
}
    .temple-news a:hover {
        color: #397eaf;
    }

/* service */
.service,
.service li,
.service li img {
    width: 100%;
}

.service {
    justify-content: center;
    display: flex;
}
    .service li {
        margin: 2% 1.5%;
        width: 15%;
    }
        .service li:nth-child(n + 7) {
            display: none;
        }
        .service .cut,
        .service li a {
            /*-webkit-clip-path: polygon( 29.34% 0%, 70.66% 0%, 100% 29.34%, 100% 70.66%, 70.66% 100%, 29.34% 100%, 0% 70.66%, 0% 29.34% );*/
        }
        .service li a {
            display: table;
            width: 100%;
            /*padding: var(--service-border);
            background: linear-gradient( 45deg, #ac8124, #ac8124, #e0c029, #ac8124, #ac8124 );*/
        }
        .service li img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
.cut {
    width: 100%;
    position: relative;
    overflow: hidden;
    height: 0;
    padding-bottom: 100%;
}
.service h3 {
    margin-top: 10px;
    color: #ffffff;
    font-size: 2em;
    letter-spacing: 0.15em;
    text-align: center;
    height: 80px;
    overflow: hidden;
}

/* Introduction */
.temple-Information,
.temple-Information li,
.temple-Information li img {
    width: 100%;
}
.temple-Information {
    justify-content: space-between;
    display: flex;
}
    .temple-Information h3 {
        z-index: 1;
    }
    .temple-Information li {
        margin: 2% 0;
        width: 23%;
        position: relative;
        overflow: hidden;
        height: 0;
        padding-bottom: 23%;
    }
        .temple-Information li a {
            width: 100%;
            height: 0;
            padding-bottom: 100%;
            display: table;
        }
            .temple-Information li a::after {
                content: "";
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
                /*background-color: var(--Introduction-bgcolor);*/
                border-radius: 50%;
            }
        .temple-Information li:hover {
            cursor: pointer;
        }
            .temple-Information li:hover div {
                /*background-color: var(--Introduction-bgcolor-hover);*/
            }
        .temple-Information li::after {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            /*background-image: var(--Introduction-Embossing);*/
            background-repeat: no-repeat;
            background-size: 100% auto;
        }
        .temple-Information li img {
            border-radius: 50%;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    .temple-Information div {
        border-radius: 50%;
        position: absolute;
        align-items: center;
        justify-content: center;
        display: inline-flex;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
    .temple-Information h3 {
        width: 40%;
        color: #ffffff;
        font-size: 3em;
        letter-spacing: 0.15em;
        transform: scaleY(1.2);
        text-align: center;
    }

/* 首頁相薄區 */
.photo-box {
    position: relative;
}
.photo-bg {
    position: absolute;
    width: 100%;
    height: 55%;
    bottom: 0;
    background-image: url(../images/photo/001.jpg);
    background-position: 0% center;
    background-size: cover;
}
    .photo-bg::after {
        background: rgba(0, 0, 0, 0.4);
        content: "";
        width: 100%;
        height: calc(100% + 1px);
        position: absolute;
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px);
    }
.owl-photo-item {
    
}
    .owl-photo-item .item {
        transition: 0.4s ease all;
        margin: 0 20px;
        transform: scale(0.8);
    }
    .owl-photo-item .image-container {
        position: relative;
    }
        .owl-photo-item .image-container::after {
            content: "";
            width: 100%;
            height: 100%;
            top: 0;
            background-color: var(--photo-color);
            opacity: 0.6;
            position: absolute;
        }
    .owl-photo-item .active .item {
        transform: scale(1);
    }
    .owl-photo-item .active .image-container::after {
        opacity: 0;
    }
    .owl-photo-item .owl-item {
        -webkit-backface-visibility: hidden;
        -webkit-transform: translateZ(0) scale(1, 1);
    }
    .owl-photo-item h3 {
        display: none;
        padding-top: 20px;
        color: #fff;
        text-align: center;
        font-size: 1.5em;
        letter-spacing: 0.15em;
    }
    .owl-photo-item .active h3 {
        display: block;
    }


@media only screen and (max-width: 1430px) {
    .home-video .video-container {
        margin-top: -6%;
    }
    .service h3 {
        font-size: 1.5em;
        letter-spacing: 0.1em;
        height: 60px;
    }
    .temple-Information h3 {
        width: 45%;
        font-size: 2.5em;
    }
}


@media all and (max-width: 1200px) {
    .media-logo {
        width: calc(100% - 65px);
        position: absolute;
    }
    .home-video {
        height: auto;
    }
        .home-video .video-container {
            margin-top: 0%;
        }
}


@media only screen and (max-width: 1024px) {
    .owl-image-item .item img {
        margin-top: 0%;
    }
    .service {
        flex-wrap: wrap;
    }
        .service li {
            margin: 2% 1.5%;
            width: 30%;
        }
    .temple-Information h3 {
        font-size: 2em;
    }
    .owl-photo-item .item {
        margin: 0;
        transform: scale(0.9);
    }
}


@media only screen and (max-width: 768px) {
    .hot-list .temple-news .item {
        font-size: 1em;
    }
    .temple-Information {
        flex-wrap: wrap;
    }
        .temple-Information li {
            width: 47.5%;
            padding-bottom: 47.5%;
        }
        .temple-Information h3 {
            width: 40%;
            font-size: 2.6em;
        }
    .owl-photo-item h3 {
        font-size: 1.2em;
        letter-spacing: 0.1em;
    }
    .owl-photo-item {
        padding-bottom: 0px;
    }
    .owl-major-banner {
        margin: auto;
        margin-top: 50px;
    }
}


@media only screen and (max-width: 550px) {
    .basic {
        background: var(--Basic-img);
        background-repeat: no-repeat;
        background-size: 90% auto;
        background-position: center center;
    }
    .owl-image-item .owl-dot,
    .owl-home-top .owl-dot {
        width: 7px;
        height: 7px;
    }
    .hot-box {
        background-size: 200% auto;
        border-radius: 10px;
        margin-bottom: 20px;
    }
    .hot-title {
        font-size: 1.1em;
        letter-spacing: 0em;
        width: 95px;
        padding: 12px 0;
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
        font-weight: normal;
    }
        .hot-title:after {
            top: 14px;
        }
    .hot-list {
        width: calc(100% - 95px);
    }
        .hot-list .owl-hot-item .item {
            font-size: 1em;
            letter-spacing: 0.05em;
            padding: 5px 5px 2px 12px;
        }
    .more {
        padding-top: 3px;
        font-size: 0.95em;
        letter-spacing: 0.05em;
    }
    .service h3 {
        height: 50px;
        font-size: 1.2em;
        line-height: 1.3em;
    }
    .temple-Information h3 {
        width: 45%;
        font-size: 1.6em;
    }
    .owl-photo-item h3 {
        font-size: 1em;
    }
}